/** \file
 *  \brief Header file for the EventWriter interface.
 *
 *  \authors   Jeppe Andersen, Tuomas Hapola, Marian Heil, Andreas Maier, Jennifer Smillie
 *  \date      2019
 *  \copyright GPLv2 or later
 */
#pragma once

namespace HEJ{
  class Event;

  //! Pure abstract base class for event writers
  struct EventWriter{
    //! Write an event
    virtual void write(Event const &) = 0;

    virtual ~EventWriter() = default;
  };

}
