/**
 *  \authors   Jeppe Andersen, Tuomas Hapola, Marian Heil, Andreas Maier, Jennifer Smillie
 *  \date      2019
 *  \copyright GPLv2 or later
 */
#include "HEJ/CombinedEventWriter.hh"

#include "HEJ/make_writer.hh"

namespace HEJ{

  CombinedEventWriter::CombinedEventWriter(
      std::vector<OutputFile> const & outfiles,
      LHEF::HEPRUP const & heprup
  ){
    writers_.reserve(outfiles.size());
    for(OutputFile const & outfile: outfiles){
      writers_.emplace_back(
          make_format_writer(outfile.format, outfile.name, heprup)
      );
    }
  }

  void CombinedEventWriter::write(Event const & ev){
    for(auto & writer: writers_) writer->write(ev);
  }

}
